package com.mobage.nbpf.sampleapp.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

@Data
@Component
@ConfigurationProperties(prefix = "sampleapp")
public class SampleAppConfig {

  private String clientId;

  private String clientSecret;

  private String baseUri;

  private String authorizeEndpoint;

  private String redirectUri;

  private String tokenEndpoint;

  private String bankDebitEndpoint;

  private String issuer;

  private String issuerForWidget;

  private String issuerForCallback;

  private String pubkey;

  private String jssdkPath;
}
