package com.mobage.nbpf.sampleapp;

import java.io.Serializable;

import lombok.Data;
import org.springframework.context.annotation.Scope;
import org.springframework.context.annotation.ScopedProxyMode;
import org.springframework.stereotype.Component;

@Data
@Component
@Scope(value = "session", proxyMode = ScopedProxyMode.TARGET_CLASS)
public class SessionStorage implements Serializable {

  private static final long serialVersionUID = 1L;

  private String userId;

  private String state;

  private String sessionState;

  private String accessToken;

  private String refreshToken;
}
