package com.mobage.nbpf.sampleapp.auth;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Value;

/** A class that represents a response object from OAuth Token Endpoint on the Mobage Platform. */
@Value
public class MobageTokenEndpointResponse {
  @JsonProperty("access_token")
  private String accessToken;

  @JsonProperty("refresh_token")
  private String refreshToken;

  @JsonProperty("id_token")
  private String idToken;

  @JsonProperty("scope")
  private String scope;

  @JsonProperty("token_type")
  private String tokenType;

  @JsonProperty("expires_in")
  private String expiresIn;
}
