package com.mobage.nbpf.sampleapp.payment;

import java.util.List;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
public class MobageBankDebitPostRequest {

  @Data
  @Builder
  public static class ItemProperty {
    private String id;
  }

  @Data
  @Builder
  public static class Item {
    private ItemProperty item;
    private int quantity;
  }

  private List<Item> items;

  private String comment;

  private String state;
}
