package com.mobage.nbpf.sampleapp.payment;

import com.fasterxml.jackson.annotation.JsonProperty;
import java.util.ArrayList;
import lombok.Data;


@Data
public class MobagePaymentCustomClaim {
  @Data
  public static class Extra {
    @JsonProperty("service")
    private String service;

    @JsonProperty("result")
    private Result result;
  }

  @Data
  public static class Result {
    @JsonProperty("payment")
    private Payment payment;

    @JsonProperty("order_id")
    private String orderId;
  }

  @Data
  public static class Payment {
    @JsonProperty("comment")
    private String comment;

    @JsonProperty("updated")
    private String updated;

    @JsonProperty("items")
    private ArrayList<ItemContainer> items;

    @JsonProperty("state")
    private String state;

    @JsonProperty("id")
    private String id;

    @JsonProperty("published")
    private String published;
  }

  @Data
  public static class ItemContainer {
    @JsonProperty("item")
    private Item item;

    @JsonProperty("quantity")
    private int quantity;
  }

  @Data
  public static class Item {
    @JsonProperty("name")
    private String name;

    @JsonProperty("price")
    private String price;

    @JsonProperty("id")
    private String id;

    @JsonProperty("imageUrl")
    private String imageUrl;

    @JsonProperty("description")
    private String description;
  }
}
